@use '../colors' as *;
@use '../spacing' as *;

footer {
    display: block;
    margin: 0;
    padding: 0;
    width: 100%;
    z-index: 100;
    background-color: $BACKGROUND-PRIMARY;

    .footer-columns {
        display: flex;
        flex-wrap: wrap;
        flex-direction: row;
        align-items: stretch;
        align-content: center;
        justify-content: center;
    }

    .footer-column {
        margin-top: $DEFAULT-SPACING;
        text-align: center;
        min-width: 150px;
        padding-left: $DEFAULT-SPACING;
        padding-right: $DEFAULT-SPACING;
    }

    a {
        text-decoration: none;
        transition: 0.2s;
    }
    
    a, 
    a:visited {
        text-decoration: none;
        color: $FONT-PRIMARY;
    }
    
    a:hover {
        text-decoration: none;
        font-size: 1.05em;
        font-weight: 600;
    }
    
    .footer-column > ol {
        margin-top: $DEFAULT-SPACING;
        color: $FONT-PRIMARY;
    }
    
    .footer-column > ol > li {
        margin: 5px;
        padding: 2px;
    }
    
    .footer-column > ol > li > a:hover {
        text-decoration: none;
        font-size: 1.05em;
        font-weight: 600;
    }
    
    .footer-column-row-img {
        height: $DEFAULT-SPACING;
        width: $DEFAULT-SPACING;
    }
    
    .footer-bottom {
        display: block;
        margin-top: $DEFAULT-SPACING;
        width: 100%;
        height: 25px;
    }
    
    .footer-bottom-paragraph {
        line-height: 25px;
        text-align: center;
        font-size: 0.8em;
        margin: 0;
        padding: 0;
    }    
}
